Bug 210836 - can't create new volume on Japanese environment
can't create new volume on Japanese environment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-15 22:27 EDT by NOKUBI Takatsugu
Modified: 2009-07-14 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch for InputController.py (1.68 KB, patch)
2008-02-04 02:36 EST, Akira YOSHIYAMA
no flags Details | Diff

  None (edit)
Description NOKUBI Takatsugu 2006-10-15 22:27:48 EDT
Description of problem:
On Japanese environment, 

Version-Release number of selected component (if applicable):
system-config-lvm-1.0.18-1.2.FC6

How reproducible:


Steps to Reproduce:
1.Login in Japanese environment
2.Run system-config-lvm
3.Select "論理ビュー" (Logical view)
4.Push "新しい論理ボリュームの作成" (Create a new logical volume)
  
Actual results:
Nothing.

Expected results:
Popup dialog window.

Additional info:
Comment 1 Doncho N. Gunchev 2007-11-11 20:03:08 EST
Same with Bulgarian environment.
Starting it on the console shows:
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 654, in 
on_new_lv
    if dlg.run() == False:
  File "/usr/share/system-config-lvm/InputController.py", line 1330, in run
    self.setup_dlg()
  File "/usr/share/system-config-lvm/InputController.py", line 1418, in 
setup_dlg
    self.filesys_show_hide()
  File "/usr/share/system-config-lvm/InputController.py", line 1700, in 
filesys_show_hide
    filesys = self.filesystems[self.filesys_combo.get_model().get_value(iter, 
0)]
KeyError: '\xd0\x9d\xd1\x8f\xd0\xbc\xd0\xb0'

The key error translates decodes to "Няма", meaning "not available/there's no 
something". I'm using FC8.

running with 'LANG=C system-config-lvm' workarounds the problem.
Comment 2 Akira YOSHIYAMA 2008-02-04 02:36:48 EST
Created attachment 293870 [details]
a patch for InputController.py
Comment 3 Igor Miletic 2008-03-03 14:28:11 EST
Same problem in system-config-lvm using Serbian translation. English, and any
other latin based language works fine.

x86_64 system, Fedora 8, updated, 
error is KeyError: '\xd0\x9d\xd0\xb8\xd1\x88\xd1\x82\xd0\xb0'. Obviously, string
needs to be decoded. 

Patch from Akira Yoshiyama fixed the problem. Maybe someone could include it
into official system-config-lvm package?

Comment 4 Bug Zapper 2008-05-13 22:25:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:19:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:02:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.